function [p] = load_param()

p.VERBOSE = 1;

%---------------------------------     

%% choose btw generic or personalized classifier

%p.METHOD='svm-gen'
p.METHOD='svm-reg'

%---------------------------------     

%% paths

p.data_dir = fullfile('..','feat');

p.res_dir_root = fullfile('..','res');
p.res_dir = fullfile(p.res_dir_root,p.METHOD);
p.res_dir_theta = fullfile(p.res_dir,'theta');
if strcmp(p.METHOD,'svm-reg')
	p.res_dir_kernel = fullfile(p.res_dir,'kernel');
end

%% features

% retain % energy from features-pca to reduce feature vector length
p.PCA_NRG=1.00;

% subsample data points for training when dataset is too big 
p.PROP_DATA = 1.00;

%-------------------------------------------------------------     

%%--- params for generic SVM ---
if strcmp(p.METHOD,'svm-gen')
	p.C_class = 0.01;
end

%%--- params for TPT ---
if strcmp(p.METHOD,'svm-reg')

	%--- training individual classifiers
	p.C_class = 0.1;

	%-- kernel
	p.KERNEL_FUN = 'DE-SV';
	p.SVMREG_GAMMA = 0.01;

	%--- regressions
	p.SVMREG_P = 0.1;
	p.C_reg = 10;

	%--- path results
	p.res_dir_kernel = fullfile(p.res_dir,'kernel');
end
%-------------------------------------------------------------
                           




